Bug 1725957 - Incremental errata dependencies not getting copied over for RHEL 8
Summary: Incremental errata dependencies not getting copied over for RHEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Brian Herring
URL:
Whiteboard:
Depends On:
Blocks: 1668052 1725958
TreeView+ depends on / blocked
 
Reported: 2019-07-01 20:15 UTC by Partha Aji
Modified: 2020-10-05 14:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 5067 High CLOSED - CURRENTRELEASE As a user, multiple source/target repositories can be used for recursive copy 2019-09-25 21:01:55 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:03 UTC

Description Partha Aji 2019-07-01 20:15:50 UTC
Problem 
Content from one repo (RHEL8 Appstream) can depend on content form another repo (RHEL8 BaseOS).

User won't be able to copy errata with all dependencies for its packages if dependencies are in different repo.

The problem was not very common before RHEL 8, because RHEL repositories always contained all the dependencies within it. Now with RHEL8 having 2 repos, the problem will be much more common.


The problem has to be fixed 2 fold. 
1) Pulp needs to provide new API that takes in multiple repos when computing the errata dependencies.
2) Katello needs to make use of the API.

This BZ is for the pulp work.

Comment 3 pulp-infra@redhat.com 2019-07-02 08:32:10 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2019-07-02 08:32:11 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2019-08-06 17:31:34 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2019-08-06 17:31:35 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2019-08-20 15:32:18 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 9 pulp-infra@redhat.com 2019-09-11 14:03:11 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2019-09-11 14:33:10 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 11 pulp-infra@redhat.com 2019-09-25 21:01:56 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 12 Lai 2020-02-26 21:25:18 UTC
Steps to test:

1. Enabled RHEL8/RHEL8.1 BaseOS and AppStream repo and sync them.
2. Create a CV and add both repos from step 1 to CV.
3. Publish without depsolving (version 1)
4. Create a filter: Include module stream: Ant (1.10)
5. Create a filter: Exclude all packages ("*") on all version.
6. Publish without depsolving (Version 2)
7. Publish with depsolving. (Version 3)
8. Provision a rhel8 box.
9. run "dnf module install ant"
10. Verify the module stream deps against the most recently published version of the CV's Module Stream list.

3.
Expected Result:
Total number of Packages, Errata, and Module Streams of both appstream and baseOS should be present under "Content" column of table.

Actual Result:
Total number of Packages, Errata, and Module Streams of both appstream and baseOS are present under "Content" column of table.

Note: These numbers changes between RHEL8 and RHEL8.1 depending on which one you choose but the appstream count and baseOS count should be the combine total for version 1.0 published.

6.
Expected Result:
Total number of Packages, Errata, and Module Streams of both appstream and baseOS should be present under "Content" column of table and less than version 1.0 published (I had 2 packages and 1 module streams).
Drilling into version 1.0 -> Module Streams should yield only "ant" module.

Actual Result:
Total number of Packages, Errata, and Module Streams of both appstream and baseOS are present under "Content" column of table and is less than version 1.0 published (I had 2 packages and 1 module streams).
Drilling into version 1.0 -> Module Streams yield only "ant" module.

7.
Expected Result:
Total number of Packages, Errata, and Module Streams of both appstream and baseOS should be present under "Content" column of table and more than version 2.0 published.
Drilling into version 1.0 -> Module Streams should yield only "ant" and "javapackages-runtime" module.

Actual Result:
Total number of Packages, Errata, and Module Streams of both appstream and baseOS are present under "Content" column of table and is more than version 2.0 published.
Drilling into version 1.0 -> Module Streams yield only "ant" and "jaavapackages-runtime" module.

Note: That you're actual result may be different from mine.

10.
Expected Result:
"Enabling module streams" section should only have "ant" and "javapackages-runtime."

Actual Result:
"Enabling module streams" section only have "ant" and "javapackages-runtime."

Note: This last step proves the functionality works on pulp side.

Comment 13 Lai 2020-02-26 22:11:38 UTC
Verified on 6.7.0_13

Comment 16 errata-xmlrpc 2020-04-14 13:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.